<//3>What are the minimum system requirements to use the Ben 10: Omniverse Game Creator?
GENERAL INFO
BACK
HOME
CONTACT US

What are the minimum system requirements to use the Ben 10: Omniverse Game Creator?

You must have at least 256 MB of RAM and the latest version of the Flash player. (If you're not sure about Flash, you can download the latest versions at:  http://www.adobe.com/downloads/) We highly recommend a broadband connection, Windows XP or Vista, and the latest version of Internet Explorer or Firefox for the best experience. Performance may vary depending on your particular system.

Rating:Rating of 3.5 Stars264 Votes
Was this answer helpful?YesNo

Cartoon Network

Topic Information
  • Topic #: 5431-43
  • Date Created: 07/21/2008
  • Last Modified Since: 02/12/2013
  • Viewed: 10904
Help Desk and Customer Support Software by Parature